// Rs3DLoader.cpp : Implementation of DLL Exports.


#include "stdafx.h"
#include "resource.h"


// The module attribute causes DllMain, DllRegisterServer and DllUnregisterServer to be automatically implemented for you
[ module(dll, uuid = "{1E830E28-A169-420C-AABF-C99FDCEA87D3}", 
		 name = "Rs3DLoader", 
		 helpstring = "Rs3DLoader 1.0 Type Library",
		 resource_name = "IDR_RS3DLOADER") ]
class CRs3DLoaderModule
{
public:
// Override CAtlDllModuleT members
};
		 
#ifdef __cplusplus    // If used by C++ code, 
extern "C" {          // we need to export the C interface
#endif

	__declspec(dllexport) HRESULT __cdecl GetRosettaPackage(IRsUnknownPackage **ppPackage)
	{
		CComObject<CRp3DLoader> *pPackage = NULL;
		HRESULT hRes = CComObject<CRp3DLoader>::CreateInstance(&pPackage);
		if (FAILED(hRes))
			return hRes;
		CComQIPtr<IRsUnknownPackage> spPackage = pPackage;
		if (!pPackage)
			return E_NOINTERFACE;
		return spPackage.CopyTo(ppPackage);
	}

#ifdef __cplusplus
}
#endif

